PHP程序员学习笔记|如何学习PHP

个人总结的PHP学习方法


keras 安装 seq2seq 失败 Could not find a version that satisfies the requirement recurrentshop 解决方案

2017-8-31 0phpcom keras神级网络


最近在看seq2seq 的模型想自己自己鲁一下代码可是发现不太好安装

安装方法 pip install git+https://github.com/farizrahman4u/seq2seq.git

报错内容:

D:\seq2seq-master>pip install git+https://github.com/farizrahman4u/seq2seq.git

Collecting git+https://github.com/farizrahman4u/seq2seq.git
  Cloning https://github.com/farizrahman4u/seq2seq.git to c:\users\skyline\appda
ta\local\temp\pip-icxlv54a-build
Requirement already satisfied: Keras in c:\program files\python35\lib\site-packa
ges (from seq2seq==1.0.0)
Collecting recurrentshop (from seq2seq==1.0.0)
  Could not find a version that satisfies the requirement recurrentshop (from seq2seq==1.0.0) (from versions: )
No matching distribution found for recurrentshop (from seq2seq==1.0.0)


刚开始感觉摸不到头脑,可是后来google以后发现其实就是缺少了 recurrentshop 这个模块,只要安装好这个模块就可以了

解决方案: pip install git+https://github.com/farizrahman4u/seq2seq.git


然后就可以顺利安装了

« 冒充日本人的中国人欺负中国学生,我该怎么回答 | 最近在国外网站上看到的几个神经网络相关的思维导图 包括 tensorflow && keras && Scipy && Scikit-Learn && Python for Data Science && PySpark && Pandas && Numpy && Neural Networks»
发表评论:









订阅Rss